FolksDummy.FullPersona.update_nickname – folks-dummy Reference Manual

# update_nickname

## Description:

public void update_nickname (string nickname)

Update persona's nickname.

This simulates a backing-store-side update of the persona's Folks.NameDetails.nickname property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

nickname | persona's new nickname

## Since:

0.9.7